> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a catalog price

> Creates a merchant-scoped price that is either one-time or recurring.



## OpenAPI

````yaml /openapi.json post /catalog/prices
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /catalog/prices:
    post:
      tags:
        - catalog-prices
      summary: Create a catalog price
      description: Creates a merchant-scoped price that is either one-time or recurring.
      operationId: CatalogPricesController_create
      parameters: []
      requestBody:
        required: true
        description: >-
          Create payload with idempotency key, merchant scope, money fields, and
          optional product link.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePriceDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CreatePriceDto:
      type: object
      properties:
        idempotencyKey:
          type: string
          minLength: 1
        merchantId:
          type: string
        productId:
          type: string
        amount:
          type: integer
          exclusiveMinimum: true
          maximum: 9007199254740991
          minimum: 0
        currency:
          description: Supported currency code (USD, CAD)
          type: string
          minLength: 3
          maxLength: 3
        type:
          default: one_time
          type: string
          enum:
            - one_time
            - recurring
        interval:
          type: string
      required:
        - idempotencyKey
        - merchantId
        - amount
        - currency
    PriceResponseDto:
      type: object
      properties:
        priceId:
          type: string
        merchantId:
          type: string
        productId:
          type: string
        amount:
          type: integer
          exclusiveMinimum: true
          maximum: 9007199254740991
          minimum: 0
        currency:
          description: Supported currency code (USD, CAD)
          type: string
          minLength: 3
          maxLength: 3
        type:
          type: string
          enum:
            - one_time
            - recurring
        interval:
          type: string
        archivedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - priceId
        - merchantId
        - amount
        - currency
        - type
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: >-
        Merchant API key bearer token. Legacy wire prefixes `api_key_` and
        `api_` are also accepted.

````